<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Mon Dec 11 11:05:54 CET 2023 -->
<title>All Classes and Interfaces</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-12-11">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="all-classes-index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="SatellitesBalises/module-summary.html">Module</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#all-classes">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="All Classes and Interfaces" class="title">All Classes and Interfaces</h1>
</div>
<div id="all-classes-table">
<div class="caption"><span>Classes</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/event/AbstractEvent.html" title="class in back.event">AbstractEvent</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Classe abstraite représentant la base d'un évènement.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/staticElement/Air.html" title="class in back.staticElement">Air</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">L'air est l'espace dans lequel se déplacent des satellites.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/event/AvailableForSynchronisation.html" title="class in back.event">AvailableForSynchronisation</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Évènement "Disponible pour synchronisation" d'un satellite lorsqu'il n'est
 pas/plus en synchronsiation avec des balises.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/mobileElement/Beacon.html" title="class in back.mobileElement">Beacon</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Classe représentant une balise.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/EventHandler.html" title="class in back">EventHandler</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Gestion d'évènements.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/mobileElement/MobileElement.html" title="class in back.mobileElement">MobileElement</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Classe abstraite définissant un élément mobile.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/movement/MoveStrategy.html" title="class in back.movement">MoveStrategy</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Stratégie de déplacements des éléments mobiles.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/movement/MoveStrategyHorizontal.html" title="class in back.movement">MoveStrategyHorizontal</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Stratégie de déplacement horizontal.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/movement/MoveStrategySatellite.html" title="class in back.movement">MoveStrategySatellite</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Stratégie de déplacement spécifique au satellite.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/movement/MoveStrategySinusoidale.html" title="class in back.movement">MoveStrategySinusoidale</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Stratégie de déplacement sinusoïdale.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/movement/MoveStrategySurface.html" title="class in back.movement">MoveStrategySurface</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Stratégie de déplacement spécifique à l'aller-retour de la balise à la
 surface.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/movement/MoveStrategyVertical.html" title="class in back.movement">MoveStrategyVertical</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Stratégie de déplacement vertical.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/mobileElement/Satellite.html" title="class in back.mobileElement">Satellite</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Classe représentant un satellite.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/view/Simulation.html" title="class in view">Simulation</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Classe contenant la méthode main.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/SimulationContext.html" title="class in back">SimulationContext</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Contexte de la simulation.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/staticElement/Space.html" title="class in back.staticElement">Space</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Classe abstraite représentant un espace dans lequel des éléments mobiles se
 déplacent.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/event/SynchronisationEnded.html" title="class in back.event">SynchronisationEnded</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Évènement "Synchronisation terminée" d'un satellite pour la balise auquel il
 était en train de se synchroniser.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/event/SynchronisationInProgress.html" title="class in back.event">SynchronisationInProgress</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Évènement "Synchronisation en cours" d'une balise lorsqu'elle se synchronise
 avec un satellite disponible.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/view/ViewBeacon.html" title="class in view">ViewBeacon</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Vue représentant une balise.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/view/ViewMobileElement.html" title="class in view">ViewMobileElement</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Classe abstraite, héritant d'un JComponent Image simplifié, représentant la
 vue d'un élément mobile.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/view/ViewSatellite.html" title="class in view">ViewSatellite</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Vue représentant un satellite.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="SatellitesBalises/back/staticElement/Water.html" title="class in back.staticElement">Water</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">L'océan est l'espace dans lequel se déplacent des balises.</div>
</div>
</div>
</div>
</main>
</div>
</div>
</body>
</html>
